import request from '@/utils/request'

// 查询目录列表
export function listCatalogue(query) {
  return request({
    url: '/system/integration/catalogue/list',
    method: 'get',
    params: query
  })
}

// 查询目录详细
export function getCatalogue(id) {
  return request({
    url: '/system/integration/catalogue/' + id,
    method: 'get'
  })
}

// 新增目录
export function addCatalogue(data) {
  return request({
    url: '/system/integration/catalogue',
    method: 'post',
    data: data
  })
}

// 修改目录
export function updateCatalogue(data) {
  return request({
    url: '/system/integration/catalogue',
    method: 'put',
    data: data
  })
}

// 删除目录
export function delCatalogue(id) {
  return request({
    url: '/system/integration/catalogue/' + id,
    method: 'delete'
  })
}
